Skip to main content
PUT
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
environments
/
execution-pools
Change the execution pool of an environment
curl --request PUT \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/environments/execution-pools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "executionPool": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "publicUrl": "<string>",
  "config": {
    "deploymentSpec": {
      "replicas": 123,
      "autoscaling": {
        "maxReplicas": 123
      },
      "staticIP": true,
      "resources": {
        "limits": {
          "cpu": "<string>",
          "memory": "<string>"
        },
        "requests": {
          "cpu": "<string>",
          "memory": "<string>"
        }
      },
      "serviceAccountName": "<string>"
    }
  },
  "executionPool": "<string>",
  "files": [
    {
      "filename": "<string>",
      "content": "<string>"
    }
  ],
  "labels": {},
  "deployedVersion": {
    "id": "<string>",
    "name": "<string>",
    "state": "draft",
    "createdAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "labels": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

project_id
string<ulid>
required
organisation_id
string<ulid>
required

Query Parameters

project_env
string

Body

application/json

ChangeEnvironmentExecutionPoolRequest is the request payload to update an environment's execution pool.

executionPool
string
required

The name of the execution pool used to deploy this environment.

Response

Variables updated successfully

id
string<ulid>
required

The unique identifier for the environment.

name
string
required
status
string
required

One of running|suspended|error|draft.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
publicUrl
string
required
config
object
required
executionPool
string

The name of the execution pool used to deploy this environment.

files
object[]

The currently deployed files for the environment.

labels
object

Labels is a map of key-value pairs that can be used to store arbitrary metadata about a resource. Keys must start with a letter and can only contain letters, numbers, and underscores. Values can be any string.

deployedVersion
object